endorse 0.0.28
endorse: ^0.0.28 copied to clipboard

Library for validating arbitrary objects such as API responses.

Endorse Changelog #

0.0.28 #

  • Separate validations into sub-library

0.0.27 #

  • Add 10 digit phone pattern
  • Add basic email validator

0.0.26 #

  • Add DateTime validations
  • Add RegExp validations
  • Clean up built in patterns

0.0.25 #

  • Fix error in MaxLength, MinLength

0.0.24 #

  • Remove rogue print statement

0.0.23 #

  • Fix disappearing build bug

0.0.22 #

  • Align analyzer dependency with similar packages

0.0.21 #

  • Align analyzer dependency with similar packages

0.0.20 #

  • Fix error after dependency upgrades

0.0.19 #

  • Fix upload error

0.0.18 #

  • Fix failed boolean assertion

0.0.17 #

  • Update dependency constraints

0.0.16 #

  • Add validation errors as a Dart class ValidationError
  • Fix type assigment in code gen of nested classes ClassResult fields

0.0.15 #

  • Rework internals to provide rules individually

0.0.14 #

  • Better handling of ignored fields

0.0.13 #

  • Better handling of ignored fields

0.0.12 #

  • Minor oopsie

0.0.11 #

  • More improvements to type switching

0.0.10 #

  • Fix ToString rule

0.0.9 #

  • Fix ToString rule

0.0.8 #

  • Better handling of String conversions

0.0.7 #

  • Fix handling of String conversions

0.0.6 #

  • Change handling of String conversions

0.0.5 #

  • Better handling of non-required null values

0.0.4 #

  • Validate DateTime strings

0.0.3 #

  • Allow override of field names

0.0.2 #

  • Added changelog!
  • Use code generation to create validations

0.0.1 #

  • Legacy version
0
likes
80
pub points
16%
popularity

Library for validating arbitrary objects such as API responses.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

kirklinkletter@gmail.com

License

BSD (LICENSE)

More

Packages that depend on endorse